Bug 1894868 - 'backend' CI job passing despite failing tests
Summary: 'backend' CI job passing despite failing tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Predrag Knezevic
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1894860
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 10:16 UTC by Predrag Knezevic
Modified: 2020-11-30 16:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1894860
Environment:
Last Closed: 2020-11-30 16:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7149 0 None closed [release-4.6] Bug 1894868: fixed test "returned merged index file for all accessible helm repos" 2020-11-30 06:42:42 UTC
Github openshift console pull 7273 0 None closed [release-4.6] Bug 1894868: Correctly report errors when backend tests fail 2020-11-30 06:42:43 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:45:51 UTC

Description Predrag Knezevic 2020-11-05 10:16:41 UTC
+++ This bug was initially created as a clone of Bug #1894860 +++

Description of problem:

'backend' CI job triggered on each PR is passing despite failing tests. For example:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_console/7099/pull-ci-openshift-console-master-backend/1323911973502455808

Comment 3 Samuel Padgett 2020-11-19 15:07:14 UTC
Moving back to assigned as we need to fix the test script as well in the release-4.6 branch.

Comment 6 Yanping Zhang 2020-11-25 08:30:25 UTC
Checked the fix code has contained in release-4.6 repo, and observed jobs in https://prow.ci.openshift.org/job-history/gs/origin-ci-test/pr-logs/directory/pull-ci-openshift-console-release-4.6-backend, new jobs after 1329441413447815168 run normally.

Comment 8 errata-xmlrpc 2020-11-30 16:45:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.